Subject: Re: bug#34654: Attaching a file with a new name in a message

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 13 May 2019 16:13:05 -0400

Abdo Haji-Ali <[email-masked]> writes:

> Content-Disposition: attachment; filename="old-name.pdf"
>
> Even when I set the 'recipient-filename' and 'name' properties.
> Looking through the source, it seems that line 904 in mml.el always
> sets the Content-Disposition filename to the original filename,
> disregarding the 'recipient-filename' and 'name' properties.
>
> Is this intentional? Is there another to achieve what I want?

It looks like the documented recipient-filename functionality was never
actually implemented?  I grepped through the sources for
"recipient-filename" and found nothing.  Weird.

Anyway, I've now added the functionality to Emacs 27.1.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no